# PSF-LoginServer - master - net.psforever.services.account.PlayerToken
PSF - LoginServer - master - net.psforever.services.account.PlayerToken
Keywords: PSF LoginServer master net.psforever.services.account.PlayerToken

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package services
  Definition Classes
    psforever
-  package account
  Definition Classes
    services
- AccountIntermediaryService
- AccountPersistenceService
- IPAddress
- PersistenceMonitor
- PlayerToken
- ReceiveAccountData
- ReceiveIPAddress
- RetrieveAccountData
- RetrieveIPAddress
- StoreAccountData
- StoreIPAddress

o

net.psforever.services.account

# PlayerToken

###

#### object PlayerToken

Source
  AccountPersistenceService.scala

Linear Supertypes
AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. PlayerToken
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Type Members

1.  final case class CanNotLogin (name: String, reason: DeniedLoginReason.Value) extends Product with Serializable
2.  final case class LoginInfo (name: String, zone: Zone, position: Vector3) extends Product with Serializable

   Message dispatched to confirm that a player with given locational attributes exists.

   Message dispatched to confirm that a player with given locational attributes exists. Agencies outside of the `AccountPersistanceService`/`PlayerToken` system make use of this message. ("Exists" does not imply an ongoing process and can also mean "just joined the game" here.)

   name

     the name of the player

   zone

     the zone in which the player is location

   position

     where in the zone the player is located

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
6.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
7.  def equals(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef → Any
8.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.Throwable])
9.  final def getClass(): Class[_ <: AnyRef]
   Definition Classes
     AnyRef → Any
   Annotations
     @native()
10.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
11.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
12.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
13.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
14.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
15.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
16.  def toString(): String
    Definition Classes
      AnyRef → Any
17.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
18.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
19.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()
20.  object DeniedLoginReason extends Enumeration

### Inherited from AnyRef

### Inherited from Any

### Ungrouped